# Properties

The following properties are available in `csprclick` global object after initialization.

### appName

```typescript
appName: string
```

Returns the name of the application. This name is set during the library initialization.

### appId

```typescript
appId: string
```

Returns the id of the application.

### casperNode

```typescript
casperNode: string
```

Returns the URL of the RPC interface CSPR.click uses to get or send information from/to the Casper network.

### chainName

```typescript
chainName: string
```

Returns the name of the Casper network the application interacts with.

### csprclickHost

```
csprclickHost: string
```

Returns the CSPR.click server.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.click/cspr.click-sdk/reference/properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
